Qt 5.7 | Qt 3D | QML Types | Effect QML Type

Qt 5.7.1 Reference Documentation

# Effect QML Type

The base class for effects in a Qt 3D scene. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.7
Instantiates: | QEffect
Inherits: | Node

- List of all members, including inherited members

## Properties

- parameters : list<Parameter>
- techniques : list<Technique>

## Detailed Description

The Effect type combines a set of techniques and parameters used by those techniques to produce a rendering effect for a material.

See also Material, Technique, and Parameter.

## Property Documentation

parameters : list<Parameter>

Holds the list of parameters used by this effect. A parameter is used to set a corresponding uniform value in the shader used by this effect.

techniques : list<Technique>

Holds the list of techniques used by this effect.